Update chatbot settings
curl --request PATCH \
--url https://api.chatling.ai/v2/chatbots/{chatbotId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"visibility": "<string>"
}
'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}"
payload = {
"name": "<string>",
"visibility": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', visibility: '<string>'})
};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "9761342719",
"name": "My chatbot",
"version": "2.0",
"visibility": "public",
"created_at": "2024-06-17T12:00:00+00:00"
}
}
Chatbots
Update chatbot settings
Update the settings of a chatbot.
PATCH
/
chatbots
/
{chatbotId}
Update chatbot settings
Request parameters
Path
string
required
The chatbot ID.
Body
string
The chatbot name.
string
The visibility of the chatbot. Possible values are
public and private.Response
string
The status of the request. Will be
success if the request was successful, otherwise error.object
{
"status": "success",
"data": {
"id": "9761342719",
"name": "My chatbot",
"version": "2.0",
"visibility": "public",
"created_at": "2024-06-17T12:00:00+00:00"
}
}
⌘I

